* [pull request] Pull request for branch yem-kconfig-rc-fixes
@ 2013-03-07 18:20 Yann E. MORIN
2013-03-07 18:20 ` [PATCH 1/2] menuconfig: optionally use pkg-config to detect ncurses libs Yann E. MORIN
` (2 more replies)
0 siblings, 3 replies; 15+ messages in thread
From: Yann E. MORIN @ 2013-03-07 18:20 UTC (permalink / raw)
To: Michal Marek, linux-kbuild; +Cc: Justin Lecher, Yann E. MORIN
Hello Michal, All!
Michal, please, pull to -rc-fixes, these two changes by Justin to fix
ncurses-based kconfig frontends (mconf & nconf) compilation on systems
where ncurses was built with a separate terminfo library.
The following changes since commit e3900e74f26fc924c8e9e2a922bd40369b0bb517:
Merge branch 'kbuild/rc-fixes' into kbuild/kconfig (2013-02-25 21:51:57 +0100)
are available in the git repository at:
git://gitorious.org/linux-kconfig/linux-kconfig.git yem-kconfig-rc-fixes
Justin Lecher (2):
menuconfig: optionally use pkg-config to detect ncurses libs
kconfig: optionally use pkg-config to detect ncurses libs
scripts/kconfig/Makefile | 4 +++-
scripts/kconfig/lxdialog/check-lxdialog.sh | 2 ++
2 files changed, 5 insertions(+), 1 deletions(-)
Regards,
Yann E. MORIN
--
.-----------------.--------------------.------------------.--------------------.
| Yann E. MORIN | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software Designer | \ / CAMPAIGN | ___ |
| +33 223 225 172 `------------.-------: X AGAINST | \e/ There is no |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL | v conspiracy. |
'------------------------------^-------^------------------^--------------------'
^ permalink raw reply [flat|nested] 15+ messages in thread* [PATCH 1/2] menuconfig: optionally use pkg-config to detect ncurses libs
2013-03-07 18:20 [pull request] Pull request for branch yem-kconfig-rc-fixes Yann E. MORIN
@ 2013-03-07 18:20 ` Yann E. MORIN
2013-03-21 22:09 ` Michal Marek
2013-03-07 18:20 ` [PATCH 2/2] kconfig: " Yann E. MORIN
2013-03-18 18:35 ` [pull request] Pull request for branch yem-kconfig-rc-fixes Yann E. MORIN
2 siblings, 1 reply; 15+ messages in thread
From: Yann E. MORIN @ 2013-03-07 18:20 UTC (permalink / raw)
To: Michal Marek, linux-kbuild; +Cc: Justin Lecher, Yann E. MORIN
From: Justin Lecher <jlec@gentoo.org>
When building ncurses with --with-termlib several symbols get moved from
libncurses.so to libtinfo.so. Thus when linking with libncurses.so, one
additionally needs to link with libtinfo.so.
The ncurses pkg-config module will be used to detect the necessary libs for
linking. If not available the old heuristic for detection of the ncurses libs
will be used.
Signed-off-by: Justin Lecher <jlec@gentoo.org>
Tested-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
---
scripts/kconfig/lxdialog/check-lxdialog.sh | 2 ++
1 files changed, 2 insertions(+), 0 deletions(-)
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
index 8078813..782d200 100644
--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
@@ -4,6 +4,8 @@
# What library to link
ldflags()
{
+ pkg-config --libs ncursesw 2>/dev/null && exit
+ pkg-config --libs ncurses 2>/dev/null && exit
for ext in so a dll.a dylib ; do
for lib in ncursesw ncurses curses ; do
$cc -print-file-name=lib${lib}.${ext} | grep -q /
--
1.7.2.5
^ permalink raw reply related [flat|nested] 15+ messages in thread* Re: [PATCH 1/2] menuconfig: optionally use pkg-config to detect ncurses libs
2013-03-07 18:20 ` [PATCH 1/2] menuconfig: optionally use pkg-config to detect ncurses libs Yann E. MORIN
@ 2013-03-21 22:09 ` Michal Marek
2013-03-22 18:30 ` Yann E. MORIN
0 siblings, 1 reply; 15+ messages in thread
From: Michal Marek @ 2013-03-21 22:09 UTC (permalink / raw)
To: Yann E. MORIN; +Cc: linux-kbuild, Justin Lecher
Dne 7.3.2013 19:20, Yann E. MORIN napsal(a):
> From: Justin Lecher <jlec@gentoo.org>
>
> When building ncurses with --with-termlib several symbols get moved from
> libncurses.so to libtinfo.so. Thus when linking with libncurses.so, one
> additionally needs to link with libtinfo.so.
>
> The ncurses pkg-config module will be used to detect the necessary libs for
> linking. If not available the old heuristic for detection of the ncurses libs
> will be used.
>
> Signed-off-by: Justin Lecher <jlec@gentoo.org>
> Tested-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
> Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
> ---
> scripts/kconfig/lxdialog/check-lxdialog.sh | 2 ++
> 1 files changed, 2 insertions(+), 0 deletions(-)
>
> diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
> index 8078813..782d200 100644
> --- a/scripts/kconfig/lxdialog/check-lxdialog.sh
> +++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
> @@ -4,6 +4,8 @@
> # What library to link
> ldflags()
> {
> + pkg-config --libs ncursesw 2>/dev/null && exit
> + pkg-config --libs ncurses 2>/dev/null && exit
> for ext in so a dll.a dylib ; do
> for lib in ncursesw ncurses curses ; do
Do you also plan to use pkg-config in the ccflags function?
Thanks,
Michal
^ permalink raw reply [flat|nested] 15+ messages in thread* Re: [PATCH 1/2] menuconfig: optionally use pkg-config to detect ncurses libs
2013-03-21 22:09 ` Michal Marek
@ 2013-03-22 18:30 ` Yann E. MORIN
0 siblings, 0 replies; 15+ messages in thread
From: Yann E. MORIN @ 2013-03-22 18:30 UTC (permalink / raw)
To: linux-kbuild; +Cc: Michal Marek, Justin Lecher
Michal, All,
On Thursday 21 March 2013 Michal Marek wrote:
> Dne 7.3.2013 19:20, Yann E. MORIN napsal(a):
> > From: Justin Lecher <jlec@gentoo.org>
[--SNIP--]
> > diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
> > index 8078813..782d200 100644
> > --- a/scripts/kconfig/lxdialog/check-lxdialog.sh
> > +++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
> > @@ -4,6 +4,8 @@
> > # What library to link
> > ldflags()
> > {
> > + pkg-config --libs ncursesw 2>/dev/null && exit
> > + pkg-config --libs ncurses 2>/dev/null && exit
> > for ext in so a dll.a dylib ; do
> > for lib in ncursesw ncurses curses ; do
>
> Do you also plan to use pkg-config in the ccflags function?
That was my intention to pursue Justin's work to the CFLAGS, but that is
not so simple for menuconfig as it is for the libs, as:
- we need the name of the header to include: '-DCURSES_LOC="<path/ncurses.h>"'
(where 'path' is a relative path) which we use as: #include CURSES_LOC
- there is no way to get this info from pkg-config
So, I'll be working a bit more on this this WE, and see if I can come with
something meaningful and not too ugly. ;-)
Regards,
Yann E. MORIN.
--
.-----------------.--------------------.------------------.--------------------.
| Yann E. MORIN | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software Designer | \ / CAMPAIGN | ___ |
| +33 223 225 172 `------------.-------: X AGAINST | \e/ There is no |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL | v conspiracy. |
'------------------------------^-------^------------------^--------------------'
^ permalink raw reply [flat|nested] 15+ messages in thread
* [PATCH 2/2] kconfig: optionally use pkg-config to detect ncurses libs
2013-03-07 18:20 [pull request] Pull request for branch yem-kconfig-rc-fixes Yann E. MORIN
2013-03-07 18:20 ` [PATCH 1/2] menuconfig: optionally use pkg-config to detect ncurses libs Yann E. MORIN
@ 2013-03-07 18:20 ` Yann E. MORIN
2013-03-18 18:35 ` [pull request] Pull request for branch yem-kconfig-rc-fixes Yann E. MORIN
2 siblings, 0 replies; 15+ messages in thread
From: Yann E. MORIN @ 2013-03-07 18:20 UTC (permalink / raw)
To: Michal Marek, linux-kbuild; +Cc: Justin Lecher, Yann E. MORIN
From: Justin Lecher <jlec@gentoo.org>
When building ncurses with --with-termlib several symbols get moved from
libncurses.so to libtinfo.so. Thus when linking with libncurses.so, one
additionally needs to link with libtinfo.so.
The ncurses pkg-config module will be used to detect the necessary libs for
linking. If not available the old way of directly specifying libs will be
used.
Signed-off-by: Justin Lecher <jlec@gentoo.org>
[yann.morin.1998@free.fr: fix typo: '-ncurses' --> '-lncurses']
Tested-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
---
scripts/kconfig/Makefile | 4 +++-
1 files changed, 3 insertions(+), 1 deletions(-)
diff --git a/scripts/kconfig/Makefile b/scripts/kconfig/Makefile
index 231b475..844bc9d 100644
--- a/scripts/kconfig/Makefile
+++ b/scripts/kconfig/Makefile
@@ -219,7 +219,9 @@ HOSTCFLAGS_gconf.o = `pkg-config --cflags gtk+-2.0 gmodule-2.0 libglade-2.0` \
HOSTLOADLIBES_mconf = $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags $(HOSTCC))
-HOSTLOADLIBES_nconf = -lmenu -lpanel -lncurses
+HOSTLOADLIBES_nconf = $(shell \
+ pkg-config --libs menu panel ncurses 2>/dev/null \
+ || echo "-lmenu -lpanel -lncurses" )
$(obj)/qconf.o: $(obj)/.tmp_qtcheck
ifeq ($(qconf-target),1)
--
1.7.2.5
^ permalink raw reply related [flat|nested] 15+ messages in thread
* Re: [pull request] Pull request for branch yem-kconfig-rc-fixes
2013-03-07 18:20 [pull request] Pull request for branch yem-kconfig-rc-fixes Yann E. MORIN
2013-03-07 18:20 ` [PATCH 1/2] menuconfig: optionally use pkg-config to detect ncurses libs Yann E. MORIN
2013-03-07 18:20 ` [PATCH 2/2] kconfig: " Yann E. MORIN
@ 2013-03-18 18:35 ` Yann E. MORIN
2013-03-21 22:09 ` Michal Marek
2 siblings, 1 reply; 15+ messages in thread
From: Yann E. MORIN @ 2013-03-18 18:35 UTC (permalink / raw)
To: linux-kbuild; +Cc: Michal Marek, Justin Lecher
Michal, All,
On Thursday 07 March 2013 Yann E. MORIN wrote:
> Michal, please, pull to -rc-fixes, these two changes by Justin to fix
> ncurses-based kconfig frontends (mconf & nconf) compilation on systems
> where ncurses was built with a separate terminfo library.
Ping? ;-)
Regards,
Yann E. MORIN.
--
.-----------------.--------------------.------------------.--------------------.
| Yann E. MORIN | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software Designer | \ / CAMPAIGN | ___ |
| +33 223 225 172 `------------.-------: X AGAINST | \e/ There is no |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL | v conspiracy. |
'------------------------------^-------^------------------^--------------------'
^ permalink raw reply [flat|nested] 15+ messages in thread
* [pull request] Pull request for branch yem-kconfig-rc-fixes
@ 2013-07-16 20:39 Yann E. MORIN
2013-07-17 9:59 ` Jean Delvare
0 siblings, 1 reply; 15+ messages in thread
From: Yann E. MORIN @ 2013-07-16 20:39 UTC (permalink / raw)
To: linux-kbuild; +Cc: linux-kernel, Michal Marek, Jean Delvare, Yann E. MORIN
From: "Yann E. MORIN" <yann.morin.1998@free.fr>
Hello Michal,
Please pull these post-rc1 kconfig cleanups, all after
review and comments by Jean:
- simplify and cleanup the symbol-search code
- better documentation about the symbols ordering in search results
- eye-candy in the title of the search-box in [mn]conf
Regards,
Yann E. MORIN.
The following changes since commit b57caaaed2bd127fe656e6c145970ed6a05c0125:
kconfig: allow "hex" and "range" to support longs (2013-06-29 15:30:17 +0200)
are available in the git repository at:
git://gitorious.org/linux-kconfig/linux-kconfig.git yem-kconfig-rc-fixes
for you to fetch changes up to 508382a0428f2b2f49da0e0e89c921f07c9306aa:
kconfig: simplify symbol-search code (2013-07-16 20:39:42 +0200)
----------------------------------------------------------------
Yann E. MORIN (6):
Documentation/kconfig: more concise and straightforward search explanation
kconfig: avoid multiple calls to strlen
kconfig/[mn]conf: shorten title in search-box
kconfig: minor style fixes in symbol-search code
kconfig: don't allocate n+1 elements in temporary array
kconfig: simplify symbol-search code
Documentation/kbuild/kconfig.txt | 8 +++----
scripts/kconfig/mconf.c | 4 ++--
scripts/kconfig/nconf.c | 4 ++--
scripts/kconfig/symbol.c | 49 ++++++++++++++++------------------------
4 files changed, 27 insertions(+), 38 deletions(-)
--
.-----------------.--------------------.------------------.--------------------.
| Yann E. MORIN | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software Designer | \ / CAMPAIGN | ___ |
| +33 223 225 172 `------------.-------: X AGAINST | \e/ There is no |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL | v conspiracy. |
'------------------------------^-------^------------------^--------------------'
^ permalink raw reply [flat|nested] 15+ messages in thread* Re: [pull request] Pull request for branch yem-kconfig-rc-fixes
2013-07-16 20:39 Yann E. MORIN
@ 2013-07-17 9:59 ` Jean Delvare
2013-07-23 13:37 ` Michal Marek
0 siblings, 1 reply; 15+ messages in thread
From: Jean Delvare @ 2013-07-17 9:59 UTC (permalink / raw)
To: Yann E. MORIN; +Cc: linux-kbuild, linux-kernel, Michal Marek
Le Tuesday 16 July 2013 à 22:39 +0200, Yann E. MORIN a écrit :
> From: "Yann E. MORIN" <yann.morin.1998@free.fr>
>
> Hello Michal,
>
> Please pull these post-rc1 kconfig cleanups, all after
> review and comments by Jean:
> - simplify and cleanup the symbol-search code
> - better documentation about the symbols ordering in search results
> - eye-candy in the title of the search-box in [mn]conf
>
> Regards,
> Yann E. MORIN.
It looks very good to me now, thanks Yann for the good work!
--
Jean Delvare
Suse L3
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [pull request] Pull request for branch yem-kconfig-rc-fixes
2013-07-17 9:59 ` Jean Delvare
@ 2013-07-23 13:37 ` Michal Marek
2013-07-23 13:54 ` Yann E. MORIN
0 siblings, 1 reply; 15+ messages in thread
From: Michal Marek @ 2013-07-23 13:37 UTC (permalink / raw)
To: Yann E. MORIN; +Cc: Jean Delvare, linux-kbuild, linux-kernel
On 17.7.2013 11:59, Jean Delvare wrote:
> Le Tuesday 16 July 2013 à 22:39 +0200, Yann E. MORIN a écrit :
>> From: "Yann E. MORIN" <yann.morin.1998@free.fr>
>>
>> Hello Michal,
>>
>> Please pull these post-rc1 kconfig cleanups, all after
>> review and comments by Jean:
>> - simplify and cleanup the symbol-search code
>> - better documentation about the symbols ordering in search results
>> - eye-candy in the title of the search-box in [mn]conf
>>
>> Regards,
>> Yann E. MORIN.
>
> It looks very good to me now, thanks Yann for the good work!
It does look good indeed. But I am wondering if it's necessary for 3.11.
AFAICS the only user-visible changes are
[PATCH 1/6] Documentation/kconfig: more concise and straightforward
search explanation
[PATCH 3/6] kconfig/[mn]conf: shorten title in search-box
and the rest are code cleanups (however worthwhile), is that correct?
There is no change in the search behavior, is there? Then I would say
merge this for 3.12-rc1. Maybe merge the documentation patch for 3.11.
Thanks,
Michal
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [pull request] Pull request for branch yem-kconfig-rc-fixes
2013-07-23 13:37 ` Michal Marek
@ 2013-07-23 13:54 ` Yann E. MORIN
2013-07-23 14:36 ` Michal Marek
0 siblings, 1 reply; 15+ messages in thread
From: Yann E. MORIN @ 2013-07-23 13:54 UTC (permalink / raw)
To: Michal Marek; +Cc: Jean Delvare, linux-kbuild, linux-kernel
Michal, All,
On Tuesday 23 July 2013 15:37:37 Michal Marek wrote:
> On 17.7.2013 11:59, Jean Delvare wrote:
> > Le Tuesday 16 July 2013 à 22:39 +0200, Yann E. MORIN a écrit :
> >> From: "Yann E. MORIN" <yann.morin.1998@free.fr>
> >>
> >> Hello Michal,
> >>
> >> Please pull these post-rc1 kconfig cleanups, all after
> >> review and comments by Jean:
> >> - simplify and cleanup the symbol-search code
> >> - better documentation about the symbols ordering in search results
> >> - eye-candy in the title of the search-box in [mn]conf
> >>
> >> Regards,
> >> Yann E. MORIN.
> >
> > It looks very good to me now, thanks Yann for the good work!
>
> It does look good indeed. But I am wondering if it's necessary for 3.11.
> AFAICS the only user-visible changes are
>
> [PATCH 1/6] Documentation/kconfig: more concise and straightforward
> search explanation
> [PATCH 3/6] kconfig/[mn]conf: shorten title in search-box
>
> and the rest are code cleanups (however worthwhile), is that correct?
> There is no change in the search behavior, is there? Then I would say
> merge this for 3.12-rc1. Maybe merge the documentation patch for 3.11.
I think you can merge all for 3.12-rc1, in fact.
Even patches 1 and 3 are only eye-candy, and can well wait for 3.12.
Not sure why I wanted them in an -rc in the first place, so I'm fine
with all 6 patches going in for 3.12.
Regards,
Yann E. MORIN.
--
.-----------------.--------------------.------------------.--------------------.
| Yann E. MORIN | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +0/33 662376056 | Software Designer | \ / CAMPAIGN | ^ |
| --==< O_o >==-- '------------.-------: X AGAINST | /e\ There is no |
| http://ymorin.is-a-geek.org/ | (*_*) | / \ HTML MAIL | """ conspiracy. |
'------------------------------'-------'------------------'--------------------'
^ permalink raw reply [flat|nested] 15+ messages in thread
* Re: [pull request] Pull request for branch yem-kconfig-rc-fixes
2013-07-23 13:54 ` Yann E. MORIN
@ 2013-07-23 14:36 ` Michal Marek
0 siblings, 0 replies; 15+ messages in thread
From: Michal Marek @ 2013-07-23 14:36 UTC (permalink / raw)
To: Yann E. MORIN; +Cc: Jean Delvare, linux-kbuild, linux-kernel
Yann E. MORIN wrote:
> Michal, All,
>
> On Tuesday 23 July 2013 15:37:37 Michal Marek wrote:
>> It does look good indeed. But I am wondering if it's necessary for 3.11.
>> AFAICS the only user-visible changes are
>>
>> [PATCH 1/6] Documentation/kconfig: more concise and straightforward
>> search explanation
>> [PATCH 3/6] kconfig/[mn]conf: shorten title in search-box
>>
>> and the rest are code cleanups (however worthwhile), is that correct?
>> There is no change in the search behavior, is there? Then I would say
>> merge this for 3.12-rc1. Maybe merge the documentation patch for 3.11.
>
> I think you can merge all for 3.12-rc1, in fact.
> Even patches 1 and 3 are only eye-candy, and can well wait for 3.12.
OK, I merged it to kbuild.git#kconfig then. It will show up a bit later
on git.kernel.org, as I forgot my laptop with the ssh key at home :).
Michal
^ permalink raw reply [flat|nested] 15+ messages in thread
* [pull request] Pull request for branch yem-kconfig-rc-fixes
@ 2013-05-20 15:48 Yann E. MORIN
2013-05-29 21:50 ` Yann E. MORIN
0 siblings, 1 reply; 15+ messages in thread
From: Yann E. MORIN @ 2013-05-20 15:48 UTC (permalink / raw)
To: Michal Marek; +Cc: linux-kbuild, linux-kernel, Yann E. MORIN
From: "Yann E. MORIN" <yann.morin.1998@free.fr>
Hello Michal, All,
Please pull these two rc-fixes:
- fix key handling in empty menus in mconf
- fix scripts/config wrt short --*-after options
Regards,
Yann E. MORIN
The following changes since commit f722406faae2d073cc1d01063d1123c35425939e:
Linux 3.10-rc1 (2013-05-11 17:14:08 -0700)
are available in the git repository at:
git://gitorious.org/linux-kconfig/linux-kconfig.git yem-kconfig-rc-fixes
for you to fetch changes up to 8f9c6f75f603132869375a203d22e5b445f6294f:
mconf: handle keys in empty dialogs (2013-05-20 14:15:27 +0200)
----------------------------------------------------------------
Clement Chauplannaz (1):
scripts/config: fix assignment of parameters for short version of --*-after options
Dirk Gouders (1):
mconf: handle keys in empty dialogs
scripts/config | 2 +-
scripts/kconfig/lxdialog/menubox.c | 8 ++++----
scripts/kconfig/mconf.c | 11 ++++++-----
3 files changed, 11 insertions(+), 10 deletions(-)
--
.-----------------.--------------------.------------------.--------------------.
| Yann E. MORIN | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software Designer | \ / CAMPAIGN | ___ |
| +33 223 225 172 `------------.-------: X AGAINST | \e/ There is no |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL | v conspiracy. |
'------------------------------^-------^------------------^--------------------'
^ permalink raw reply [flat|nested] 15+ messages in thread* Re: [pull request] Pull request for branch yem-kconfig-rc-fixes
2013-05-20 15:48 Yann E. MORIN
@ 2013-05-29 21:50 ` Yann E. MORIN
0 siblings, 0 replies; 15+ messages in thread
From: Yann E. MORIN @ 2013-05-29 21:50 UTC (permalink / raw)
To: Michal Marek; +Cc: linux-kbuild, linux-kernel
Michal, All,
On 2013-05-20 17:48 +0200, Yann E. MORIN spake thusly:
> Please pull these two rc-fixes:
> - fix key handling in empty menus in mconf
> - fix scripts/config wrt short --*-after options
Please hold-on on this pull-request a bit more: there is another fix by
Dirk that I'll append to this list, and I will re-cubmit the pull-request
in a moment.
Regards,
Yann E. MORIN.
--
.-----------------.--------------------.------------------.--------------------.
| Yann E. MORIN | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software Designer | \ / CAMPAIGN | ___ |
| +33 223 225 172 `------------.-------: X AGAINST | \e/ There is no |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL | v conspiracy. |
'------------------------------^-------^------------------^--------------------'
^ permalink raw reply [flat|nested] 15+ messages in thread
* [pull request] Pull request for branch yem-kconfig-rc-fixes
@ 2012-12-20 22:08 Yann E. MORIN
0 siblings, 0 replies; 15+ messages in thread
From: Yann E. MORIN @ 2012-12-20 22:08 UTC (permalink / raw)
To: linux-kbuild; +Cc: Michal Marek, Yann E. MORIN
Hello Michal, All!
Here are two patches for kconfig since we now can get the CONFIG_ prefix
form an environment variable:
- document the use of that variable
- ensure we use 'CONFIG_' even if $CONFIG_ is set
Regards,
Yann E. MORIN
The following changes since commit 409f117e2d6b38d714ab26def840801e33dfe115:
merge_config.sh: Add option to specify output dir (2012-12-09 18:22:17 +0100)
are available in the git repository at:
git://gitorious.org/linux-kconfig/linux-kconfig.git yem-kconfig-rc-fixes
Yann E. MORIN (2):
kconfig: document use of CONFIG_ environement variable
kconfig: ensure we use proper CONFIG_ prefix
Documentation/kbuild/kconfig.txt | 6 ++++++
Makefile | 1 +
2 files changed, 7 insertions(+), 0 deletions(-)
--
.-----------------.--------------------.------------------.--------------------.
| Yann E. MORIN | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software Designer | \ / CAMPAIGN | ___ |
| +33 223 225 172 `------------.-------: X AGAINST | \e/ There is no |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL | v conspiracy. |
'------------------------------^-------^------------------^--------------------'
^ permalink raw reply [flat|nested] 15+ messages in thread
end of thread, other threads:[~2013-07-23 14:37 UTC | newest]
Thread overview: 15+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-03-07 18:20 [pull request] Pull request for branch yem-kconfig-rc-fixes Yann E. MORIN
2013-03-07 18:20 ` [PATCH 1/2] menuconfig: optionally use pkg-config to detect ncurses libs Yann E. MORIN
2013-03-21 22:09 ` Michal Marek
2013-03-22 18:30 ` Yann E. MORIN
2013-03-07 18:20 ` [PATCH 2/2] kconfig: " Yann E. MORIN
2013-03-18 18:35 ` [pull request] Pull request for branch yem-kconfig-rc-fixes Yann E. MORIN
2013-03-21 22:09 ` Michal Marek
-- strict thread matches above, loose matches on Subject: below --
2013-07-16 20:39 Yann E. MORIN
2013-07-17 9:59 ` Jean Delvare
2013-07-23 13:37 ` Michal Marek
2013-07-23 13:54 ` Yann E. MORIN
2013-07-23 14:36 ` Michal Marek
2013-05-20 15:48 Yann E. MORIN
2013-05-29 21:50 ` Yann E. MORIN
2012-12-20 22:08 Yann E. MORIN
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox